Subject: bug#14306: closed (Re: bug#14306: Some line numbers missing when both whitespace and linum mode are enabled at the same time)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 May 2013 17:47:02 +0000

Your bug report

#14306: Some line numbers missing when both whitespace and linum mode are enabled at the same time

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14306: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14306
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14306: Some line numbers missing when both whitespace and linum mode are enabled at the same time
From: Eli Zaretskii <[email-masked]>
To: Artur Pacan <[email-masked]>
Cc: [email-masked]
Date: Sun, 05 May 2013 20:45:52 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Artur Pacan <[email-masked]>
> Date: Mon, 29 Apr 2013 16:46:15 +0200
> 
> Easy to reproduce:
> 
> 1. Open any file with blank lines.
> 2. Enable linum-mode (line numbers displayed correctly)
> 3. Enable whitespace-mode (some line numbers, especially after a blank
> line are missing)
> 
> I've checked this on never emacs versions and it's not working
> correctly on any of them.

In fact, this bug was introduced 7 and a half years ago, and is
present in all versions since Emacs 22.1.  I guessed no one envisioned
a situation where there's an overlay with a before-string that has a
display property which specifies another string, and some of the
characters of that other string are displayed via display table...
(Are you dizzy yet?)

Now fixed in trunk revision 112465.

Thanks.

Subject: Some line numbers missing when both whitespace and linum mode are enabled at the same time
From: Artur Pacan <[email-masked]>
To: [email-masked]
Date: Mon, 29 Apr 2013 16:46:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Easy to reproduce:

1. Open any file with blank lines.
2. Enable linum-mode (line numbers displayed correctly)
3. Enable whitespace-mode (some line numbers, especially after a blank
line are missing)

I've checked this on never emacs versions and it's not working
correctly on any of them.